import org.apache.spark.sql.SparkSession;
import org.junit.AfterClass;
import org.junit.BeforeClass;

public class BaseSparkTest
{
  protected static SparkSession spark;

  @BeforeClass
  public static void setupSpark()
  {
    spark =
        SparkSession.builder()
            .master("local[4]")
            .config("spark.ui.enabled", "false")
            .config("spark.broadcast.compress", "false")
            .config("spark.shuffle.compress", "false")
            .config("spark.shuffle.spill.compress", "false")
            .getOrCreate();
  }

  @AfterClass
  public static void shutdownSpark()
  {
    spark.stop();
  }
}